var add_datafilters=[
{
	name:'bp_id_agent_level1',
	expression : "t1.bp_id_agent_level1 = decode((select su.bp_category from sys_user su where su.user_id =${/session/@user_id}),'AGENT',(select su.bp_id from sys_user su where su.user_id =${/session/@user_id}),'EMPLOYEE',t1.bp_id_agent_level1)"
},
{
	name:'cancel_status',
	expression : "t1.cancel_status in ('APPROVING','APPROVED')"
}
];
var override_queryfields = [
{
	name : 'cancel_date_from',
	queryexpression : "trunc(t1.cancel_date) >= to_date(${@cancel_date_from},'yyyy-mm-dd')"
},
{
	name : 'cancel_date_to',
	queryexpression : "trunc(t1.cancel_date) <= to_date(${@cancel_date_to},'yyyy-mm-dd')"
}

 ];

override();

add_datafilter();


